<?php
/* Mantenimiento de los registros de la tabla FCO_Caja redefinidos por el usaurio */
class FCO_CajaDP extends BaseFCO_CajaDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdCaja ) IS NULL, 1, MAX( IdCaja ) + 1 ) i_Id  FROM FCO_Caja ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>